Bug 9853 - ffmpeg and libx264-devel
: ffmpeg and libx264-devel
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ffmpeg)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-08-05 22:37 by
Modified: 2006-08-31 08:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-05 22:37:24
ffmpeg зависит от libx264-devel, а там поменялся API и соответственно 
soname.


diff -uNr ffmpeg/libavcodec/x264.c ffmpeg-new/libavcodec/x264.c
--- ffmpeg/libavcodec/x264.c    2006-06-06 17:26:16 +0400
+++ ffmpeg-new/libavcodec/x264.c        2006-08-04 07:45:57 +0400
@@ -148,7 +148,7 @@

     // if neither crf nor cqp modes are selected we have to enable the RC
     // we do it this way because we cannot check if the bitrate has been set
-    if(!(avctx->crf || (avctx->cqp > -1))) x4->params.rc.b_cbr = 1;
+    if(!(avctx->crf || (avctx->cqp > -1))) 
x4->params.rc.i_rc_method=X264_RC_ABR;

     x4->params.i_bframe = avctx->max_b_frames;
     x4->params.b_cabac = avctx->coder_type == FF_CODER_TYPE_AC;
------- Comment #1 From 2006-08-12 12:39:54 -------
fixed in 0.5.0-alt1.svn5935
------- Comment #2 From 2006-08-18 21:57:52 -------
закрываю